##### windows::basic_object_handle::basic_object_handle (6 of 6 overloads)

Move-construct an object handle from a handle of another executor type.

    template<
        typename Executor1>
    basic_object_handle(
        basic_object_handle< Executor1 > && other,
        constraint_t< is_convertible< Executor1, Executor >::value, defaulted_constraint >  = defaulted_constraint());

This constructor moves an object handle from one object to another.

###### Parameters

other

  The other object handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_object_handle(const executor_type&)` constructor.